`timescale 1ps / 1ps

module ilch_bhv (out, set, in);
    output out;
    reg out;
    input set, in;

    reg int;

    initial begin
        int=0;
        out=0;
    end
    
    always @(set) begin
        if (!set & !int) begin
            int = 1;
            #5000 out <= 1;
        end
    end
    
    always @(posedge in) begin
        if (set & int) begin
            int = 0;
            #12500 out <= 0;
        end
    end

endmodule //ilch_bhv
